// 1wire_3_f.h 05-06-2011
//---I N C L U D E S-------------------------------------------------
#include <p18f2525.h>
//---P R O T O T Y P E S---------------------------------------------
void drive_one_wire_low (void);
void drive_one_wire_high (void);
unsigned char read__one_wire (void);
void OW_write_bit (unsigned char write_data);
unsigned char OW_read_bit (void);
unsigned char OW_reset_pulse(void);
void OW_write_byte (unsigned char write_data);
unsigned char OW_read_byte (void);
//-------V A R I A B L E S-------------------------------------------
#define OW_PIN_DIRECTION LATBbits.LATB0
#define OW_WRITE_PIN  	 TRISBbits.TRISB0
#define OW_READ_PIN			 PORTBbits.RB0
/******* G E N E R I C   D E F I N I T I O N S *********************/
#define HIGH 1
#define LOW 0
#define OUTPUT 0
#define INPUT 1
#define SET 1
#define CLEAR 0
#define DELAY_6Us	6
#define DELAY_9Us	9
#define DELAY_10Us	10
#define DELAY_55Us	55
#define DELAY_60Us	60
#define DELAY_64Us	64
#define DELAY_70Us	70
#define DELAY_205Us	205			// DELAY_410Us = DELAY_205Us + DELAY_205Us
#define DELAY_240Us	240			// DELAY_480Us = DELAY_240Us + DELAY_240Us